com.sun.jna.platform.win32

## Class WinDef.DWORD

- java.lang.Object
- - java.lang.Number
  - - com.sun.jna.IntegerType
    - - com.sun.jna.platform.win32.WinDef.DWORD

- All Implemented Interfaces:
    NativeMapped, java.io.Serializable
  Direct Known Subclasses:
    OaIdl.HREFTYPE, WinDef.LCID
  Enclosing interface:
    WinDef

      public static class WinDef.DWORD
      extends IntegerType

  32-bit unsigned integer.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WinDef.DWORD()` Instantiates a new dword.
    `WinDef.DWORD(long value)` Instantiates a new dword.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `WinDef.WORD` | `getHigh()` High WORD.
    `WinDef.WORD` | `getLow()` Low WORD.

    - ### Methods inherited from class com.sun.jna.IntegerType

      `doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

    - ### Methods inherited from class java.lang.Number

      `byteValue, shortValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SIZE

          public static final int SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WinDef.DWORD

          public WinDef.DWORD()

      Instantiates a new dword.

    - #### WinDef.DWORD

          public WinDef.DWORD(long value)

      Instantiates a new dword.
      Parameters:
        `value` - the value

  - ### Method Detail

    - #### getLow

          public WinDef.WORD getLow()

      Low WORD.
      Returns:
        Low WORD.

    - #### getHigh

          public WinDef.WORD getHigh()

      High WORD.
      Returns:
        High WORD.

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.